apiVersion: v1
kind: Service
metadata:
  name: {{ include "brand-master.fullname" . }}-frontend
  labels:
    {{- include "brand-master.labels" . | nindent 4 }}
    app.kubernetes.io/component: frontend
spec:
  type: {{ .Values.frontend.service.type }}
  ports:
    - port: {{ .Values.frontend.service.port }}
      targetPort: {{ .Values.frontend.service.targetPort }}
      protocol: TCP
      name: http
  selector:
    {{- include "brand-master.selectorLabels" . | nindent 4 }}
    app.kubernetes.io/component: frontend
